using adas_core.Domain.Models.MongoModels;
using adas_core.Domain.Models.Responses;
using MongoDB.Bson;

namespace adas_core.Application.Repositories.Interfaces;

public interface IDisplayCardConfigRepository : IMongoRepository<CardConfig>
{
    Task<List<CardConfig>> GetAll();
    Task<CardConfig?> GetById(ObjectId configId);
    Task<CardConfig?> InsertOneAsyncAndReturn(CardConfig config);
    Task<UpdateResponse<CardConfig?>> UpdateOne(CardConfig? config);
    Task<CardConfig?> DeleteOne(ObjectId configId);
}